Bug 1736427 - pgp-tools: FTBFS in Fedora rawhide/f31
Summary: pgp-tools: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pgp-tools
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nick Bebout
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-08-01 17:33 UTC by Fedora Release Engineering
Modified: 2019-09-26 01:07 UTC (History)
2 users (show)

Fixed In Version: pgp-tools-2.10-1.fc31 pgp-tools-2.10-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-24 03:11:32 UTC
Type: ---


Attachments (Terms of Use)
build.log (22.86 KB, text/plain)
2019-08-01 17:34 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-08-01 17:34 UTC, Fedora Release Engineering
no flags Details
state.log (621 bytes, text/plain)
2019-08-01 17:34 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-08-01 17:33:52 UTC
pgp-tools failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36636806


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix pgp-tools at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
pgp-tools will be orphaned. Before branching of Fedora 32,
pgp-tools will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 17:34:06 UTC
Created attachment 1598577 [details]
build.log

Comment 2 Fedora Release Engineering 2019-08-01 17:34:13 UTC
Created attachment 1598578 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 17:34:15 UTC
Created attachment 1598579 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 17:08:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:23:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Fedora Update System 2019-09-17 11:09:51 UTC
FEDORA-2019-9f8ce98964 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9f8ce98964

Comment 7 Fedora Update System 2019-09-18 01:20:26 UTC
pgp-tools-2.10-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9f8ce98964

Comment 8 Fedora Update System 2019-09-23 13:04:04 UTC
FEDORA-2019-df131d583c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-df131d583c

Comment 9 Fedora Update System 2019-09-24 03:11:32 UTC
pgp-tools-2.10-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-09-26 01:07:09 UTC
pgp-tools-2.10-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.